<?php
namespace TYPO3\Flow\Core\Migrations;

/*                                                                        *
 * This script belongs to the TYPO3 Flow package "TYPO3CR".               *
 *                                                                        *
 * It is free software; you can redistribute it and/or modify it under    *
 * the terms of the GNU General Public License, either version 3 of the   *
 * License, or (at your option) any later version.                        *
 *                                                                        *
 * The TYPO3 project - inspiring people to share!                         *
 *                                                                        */

/**
 * Adjust namespaces for TYPO3CR related FlowQuery operations that were moved from TYPO3.Neos to TYPO3.TYPO3CR
 */
class Version20141101082142 extends AbstractMigration {

	/**
	 * NOTE: This method is overridden for historical reasons. Previously code migrations were expected to consist of the
	 * string "Version" and a 12-character timestamp suffix. The suffix has been changed to a 14-character timestamp.
	 * For new migrations the classname pattern should be "Version<YYYYMMDDhhmmss>" (14-character timestamp) and this method should *not* be implemented
	 *
	 * @return string
	 */
	public function getIdentifier() {
		return 'TYPO3.TYPO3CR-141101082142';
	}

	/**
	 * @return void
	 */
	public function up() {
		$this->searchAndReplace('TYPO3\Neos\TypoScript\FlowQueryOperations', 'TYPO3\TYPO3CR\Eel\FlowQueryOperations', array('php', 'yaml'));
	}

}
